/*
 * Direct3D8 cursors
 * Copyright (c) 2002, TransGaming Technologies Inc.
 */

#include "config.h"

#include "winbase.h"
#include "d3d8.h"
#include "wine/debug.h"

#include "d3d8_private.h"

WINE_DEFAULT_DEBUG_CHANNEL(ddraw);

HRESULT WINAPI Direct3DDevice8_SetCursorProperties(LPDIRECT3DDEVICE8 iface,
						   UINT XHotSpot,
						   UINT YHotSpot,
						   IDirect3DSurface8* pCursorBitmap)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  FIXME("(%p)->(%d,%d,%p): stub\n", iface, XHotSpot, YHotSpot, pCursorBitmap);
  return D3D_OK;
}

VOID WINAPI Direct3DDevice8_SetCursorPosition(LPDIRECT3DDEVICE8 iface,
					      UINT XScreenSpace,
					      UINT YScreenSpace,
					      DWORD Flags)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  TRACE("(%p)->(%d,%d,%ld)\n", iface, XScreenSpace, YScreenSpace, Flags);
}

BOOL WINAPI Direct3DDevice8_ShowCursor(LPDIRECT3DDEVICE8 iface,
				       BOOL bShow)
{
  /* ICOM_THIS(IDirect3DDevice8Impl, iface); */
  FIXME("(%p)->(%d): stub\n", iface, bShow);
  return FALSE;
}
